
// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// Implementation for the class IDLStructure. See IDLByte.cc
//
// jhrg 9/26/96

#ifdef __GNUG__
#pragma implementation
#endif

#include "config_idl.h"

#include <string>

#include "InternalErr.h"
#include "IDLSequence.h"

#if 0
#ifdef WIN32
using std::cout;
using std::endl;
#endif
#endif

Sequence *
NewSequence(const string &n)
{
    return new IDLSequence(n);
}

BaseType *
IDLSequence::ptr_duplicate()
{
    return new IDLSequence(*this);
}

IDLSequence::IDLSequence(const string &n) : Sequence(n)
{
}

IDLSequence::~IDLSequence()
{
}

bool 
IDLSequence::read(const string &)
{
  throw InternalErr(__FILE__, __LINE__, "Called unimplemented read method");
}

int
IDLSequence::length() {
  int count = 0;

  for(Pix p = first_var(); p; next_var(p)) {
    switch(var(p)->type()) 
      {
      case dods_sequence_c:
	count += ((IDLSequence *)var(p))->length();
	break;
      default:
	++count;
	break;
      }
  }

  return count;
}

// $Log: IDLSequence.cc,v $
// Revision 1.7  2000/10/03 23:40:08  jimg
// Moved the CVS Log entries to the end of the files.
// Changed the read() mfuncs so that they match the definition in the
// dap++ library.
// Removed lots of dead code.
//
// Revision 1.6  2000/10/03 18:45:25  dan
// Removed debugging output statements.
//
// Revision 1.5  2000/08/07 23:31:06  rmorris
// Some new code used things from the win32 "std" namespace.  This
// was very minor mod to have cout, endl from the std namespace in the win32
// case.
//
// Revision 1.4  2000/08/07 17:54:21  dan
// Merge for dan-idl-branch
//
// Revision 1.1.2.1  1999/09/23 23:06:30  jimg
// This collection of files builds under Solaris 2.6. The resulting idl_dods.so
// runs correctly on the fnoc1.nc test dataset.
//

