
// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// Implementation for IDLInt16. See IDLByte.cc
//
// jhrg 11/1/96

#ifdef __GNUG__
#pragma implementation
#endif

#include "config_idl.h"

#include <string>

#include "InternalErr.h"
#include "IDLUInt16.h"

UInt16 *
NewUInt16(const string &n)
{
    return new IDLUInt16(n);
}

IDLUInt16::IDLUInt16(const string &n) : UInt16(n)
{
}

BaseType *
IDLUInt16::ptr_duplicate()
{
    return new IDLUInt16(*this);
}

bool
IDLUInt16::read(const string &)
{
  throw InternalErr(__FILE__, __LINE__, "Called unimplemented read method");
}

// $Log: IDLUInt16.cc,v $
// Revision 1.4  2000/10/03 23:40:08  jimg
// Moved the CVS Log entries to the end of the files.
// Changed the read() mfuncs so that they match the definition in the
// dap++ library.
// Removed lots of dead code.
//
// Revision 1.3  2000/07/09 22:17:51  rmorris
// Include use <header> instead of <header.h> for headers in the standard
// c++ library - this increases portability.
//
// Revision 1.2  1999/11/09 05:57:13  jimg
// Result of merge with release-3-1-1
//
// Revision 1.1.2.1  1999/09/23 23:06:33  jimg
// This collection of files builds under Solaris 2.6. The resulting idl_dods.so
// runs correctly on the fnoc1.nc test dataset.
//
